Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Class DbTimestamp

    java.lang.Object
      jet.connect.DbValue
          jet.connect.DbDateTime
              jet.connect.DbTimestamp

    public class DbTimestamp

extends DbDateTime

Field Summary
`int` | `nanos`

Fields inherited from class jet.connect.DbDateTime
`value`

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Constructor Summary
`DbTimestamp()`
`DbTimestamp(DbColDesc desc)`
`DbTimestamp(java.sql.Timestamp v)`

Method Summary
`java.lang.Object` | `clone()` Creates a clone of this DbValue variable.
`int` | `compareTo(DbValue v)` Compare with the dbvalue v;
`boolean` | `equals(DbValue v)` Determine if another DbValue object is of equal value as this DbValue Object
`int` | `getNanos()`
`java.sql.Timestamp` | `getTimestamp()`
`void` | `set(DbValue v)` Set the value with DbValue.
`void` | `set(JRHierarchicalDataset hds, int col)`
`void` | `set(long time, int nanos)`
`void` | `set(java.sql.ResultSet rs, int col)` Set the value with result set.
`void` | `set(java.sql.Timestamp v)`
`void` | `setNanos(int v)`
`void` | `setTimestamp(java.sql.Timestamp v)`
`void` | `setValue(DbValue v)`
`void` | `setValue(java.lang.String v)` Set the value with a string.
`java.lang.String` | `toFormatString(java.lang.String pattern)` Add for parse DbTimestamp which contain nanos to valid string.
`java.lang.String` | `toString()` Convert the value to string.
`java.util.Date` | `toUtilDate()`

Methods inherited from class jet.connect.DbDateTime
`get, set, toSqlDate`

Methods inherited from class jet.connect.DbValue
`equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, setColDesc, setfoo, setNull`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nanos

    public int nanos

Constructor Detail

### DbTimestamp

    public DbTimestamp()

### DbTimestamp

    public DbTimestamp(java.sql.Timestamp v)

### DbTimestamp

    public DbTimestamp(DbColDesc desc)

Method Detail

### setNanos

    public void setNanos(int v)

### getNanos

    public int getNanos()

### toUtilDate

    public java.util.Date toUtilDate()

  Overrides:
    `toUtilDate` in class `DbDateTime`

### set

    public void set(long time,
                    int nanos)

### getTimestamp

    public java.sql.Timestamp getTimestamp()

### setTimestamp

    public void setTimestamp(java.sql.Timestamp v)

### set

    public void set(java.sql.Timestamp v)

### set

    public void set(java.sql.ResultSet rs,
                    int col)
             throws java.sql.SQLException

  Description copied from class: `DbValue`
  Set the value with result set.

  Specified by:
    `set` in class `DbValue`
  Parameters:
    `rs` - the source value result set.
    `col` - the source value column number in the rs.
  Throws:
    `java.sql.SQLException`

### set

    public void set(JRHierarchicalDataset hds,
                    int col)
             throws java.sql.SQLException

  Overrides:
    `set` in class `DbValue`
  Throws:
    `java.sql.SQLException`

### toString

    public java.lang.String toString()

  Description copied from class: `DbValue`
  Convert the value to string.

  Specified by:
    `toString` in class `DbValue`

### clone

    public java.lang.Object clone()

  Description copied from class: `DbValue`
  Creates a clone of this DbValue variable.

  Specified by:
    `clone` in class `DbValue`

### equals

    public boolean equals(DbValue v)

  Description copied from class: `DbValue`
  Determine if another DbValue object is of equal value as this DbValue Object

  Overrides:
    `equals` in class `DbDateTime`

### compareTo

    public int compareTo(DbValue v)

  Description copied from class: `DbValue`
  Compare with the dbvalue v;

  Overrides:
    `compareTo` in class `DbDateTime`
  Returns:
    LESS, EQUAL, GREAT.

### set

    public void set(DbValue v)

  Description copied from class: `DbValue`
  Set the value with DbValue.

  Specified by:
    `set` in class `DbValue`

### setValue

    public void setValue(DbValue v)

  Overrides:
    `setValue` in class `DbDateTime`

### setValue

    public void setValue(java.lang.String v)

  Description copied from class: `DbValue`
  Set the value with a string.

  Specified by:
    `setValue` in class `DbValue`

### toFormatString

    public java.lang.String toFormatString(java.lang.String pattern)

  Add for parse DbTimestamp which contain nanos to valid string.

  Overrides:
    `toFormatString` in class `DbDateTime`
  Since:
    JReport V8.1

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD